last-align (1651-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Sat, 07 Feb 2026 07:51:22 +0900

last-align (1645-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1645
  * Drop myself from uploaders
  * Drop Rules-Requires-Root field
  * Drop Redundant B-D on debhelper

 -- Nilesh Patra <nilesh@debian.org>  Sun, 28 Sep 2025 15:32:21 +0530

last-align (1642-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Better clean the bin/ directory
  * Correct debian/copyright.  Thanks, licenserecon
  * Refresh patch.

 -- Charles Plessy <plessy@debian.org>  Tue, 02 Sep 2025 13:15:27 +0900

last-align (1609-1) unstable; urgency=medium

  * New upstream version
  * Restrict to 64-bits architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 19 Feb 2025 09:16:14 +0900

last-align (1608-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Add missing trailing newline in debian/patches/series.

 -- Charles Plessy <plessy@debian.org>  Thu, 16 Jan 2025 13:59:43 +0900

last-align (1542-1) unstable; urgency=medium

  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Wed, 21 Feb 2024 08:06:34 +0900

last-align (1540-1) unstable; urgency=medium

  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Mon, 05 Feb 2024 09:27:51 +0900

last-align (1519-1) unstable; urgency=medium

  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Mon, 18 Dec 2023 04:22:22 +0000

last-align (1471-1) unstable; urgency=medium

  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 24 Aug 2023 01:52:30 +0000

last-align (1460-1) unstable; urgency=medium

  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Fri, 14 Jul 2023 09:37:02 +0900

last-align (1456-1) unstable; urgency=medium

  * New upstream version 1456

 -- Nilesh Patra <nilesh@debian.org>  Mon, 19 Jun 2023 19:17:17 +0530

last-align (1454-1) unstable; urgency=medium

  * New upstream version 1454. Re-diff patches
  * Update lintian overrides
  * Remove d/NEWS that has relevant news for
    39-1 release ~14 years back

 -- Nilesh Patra <nilesh@debian.org>  Mon, 12 Jun 2023 17:25:25 +0000

last-align (1447-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 05 Feb 2023 21:03:18 +0100

last-align (1420-1) unstable; urgency=medium

  * Add myself back to uploaders
  * New upstream version 1420
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 31 Dec 2022 17:18:26 +0530

last-align (1418-1) unstable; urgency=medium

  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Wed, 19 Oct 2022 09:29:30 +0900

last-align (1411-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 22 Sep 2022 09:28:20 +0200

last-align (1407-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 23 Aug 2022 16:53:32 +0200

last-align (1406-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 28 Jul 2022 16:49:02 +0200

last-align (1389-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jul 2022 16:39:54 +0200

last-align (1356-1) unstable; urgency=medium

  * New upstream version 1356

 -- Nilesh Patra <nilesh@debian.org>  Sun, 26 Jun 2022 00:46:20 +0530

last-align (1296-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1296
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 29 May 2022 19:12:57 +0530

last-align (1282-1) unstable; urgency=medium

  * New upstream version 1282
  * Refresh patches

 -- Nilesh Patra <nilesh@debian.org>  Wed, 04 May 2022 15:09:54 +0530

last-align (1268-1) unstable; urgency=medium

  * New upstream version 1268

 -- Nilesh Patra <nilesh@debian.org>  Sat, 26 Feb 2022 23:52:43 +0530

last-align (1260-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1260

 -- Nilesh Patra <nilesh@debian.org>  Wed, 16 Feb 2022 16:40:04 +0530

last-align (1257-2) unstable; urgency=medium

  * d/rules:
    + Pass CFLAGS and CXXFLAGS directly to dh_auto_build rather
      than exporting (Closes: #1003488)
    + export LC_ALL and LANG to use C.UTF-8 (Closes: #1003489)
    (Thanks to Vagrant Cascadian for the patches)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 11 Jan 2022 13:54:19 +0530

last-align (1257-1) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Do not embed cpu-specific features in manpages
    Closes: #1003379

  [ Andreas Tille ]
  * Re-enable reprotest in Salca-CI to see whether the means above are
    working properly
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 10 Jan 2022 09:53:09 +0100

last-align (1256-1) unstable; urgency=medium

  * d/watch: Fix fetch URL - last-align has moved to gitlab
  * New upstream version 1256
  * d/p/helpMakefiles.patch: Refresh helpmakefile.patch
  * d/p/simde: Attempt adapting simde to new upstream
  * Drop Patches:
    - Drop d/p/fix-959866.patch: Since the problem has been internally
      fixed in simde
    - Drop d/p/2to3.patch: The new upstream is now compatible with both
      python2 and python3, hence these changes are un-needed.
      Added d/p/fix-shebang.patch to fix shebang in python script, as
      a replacement.
  * d/rules:
    - Attempt adapting to new upstream version
    - Add rest manpages
    - Install all lastdb5 based binaries
    - Install new fasta+fastq scripts
  * d/debian/last-align.doc-base.last-align-manual:
    The manual page has moved to last-cookbook.rst
  * d/tests/last-test: Add additional tests
  * d/control: Move python3 to Depends
    - There are several python3 scripts being vendored, it does make
      sense to promote python3 to depends
  * d/salsa-ci.yml: Disable blhc and reprotest
  * d/lintian-overrides: Add lintian override for maf-cut manpage

 -- Nilesh Patra <nilesh@debian.org>  Mon, 23 Aug 2021 00:56:44 +0530

last-align (1179-1) unstable; urgency=medium

  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 01 Feb 2021 16:02:34 +0530

last-align (1178-1) unstable; urgency=medium

  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 28 Jan 2021 17:19:32 +0530

last-align (1170-1) unstable; urgency=medium

  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 31 Dec 2020 17:04:25 +0530

last-align (1169-1) unstable; urgency=medium

  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 23 Dec 2020 12:13:08 +0530

last-align (1168-1) unstable; urgency=medium

  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 19 Dec 2020 16:19:45 +0530

last-align (1167-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 14 Dec 2020 23:14:25 +0530

last-align (1145-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 11 Nov 2020 02:58:49 +0530

last-align (1133-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 17 Oct 2020 13:20:28 +0530

last-align (1111-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1111

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 26 Sep 2020 02:11:54 +0530

last-align (1110-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Refreshed patches.

 -- Steffen Moeller <moeller@debian.org>  Sun, 20 Sep 2020 16:40:30 +0200

last-align (1080-1) unstable; urgency=medium

  * New upstream version
  * Refreshed patches

 -- Charles Plessy <plessy@debian.org>  Wed, 12 Aug 2020 11:12:45 +0000

last-align (1066-1) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * i386: enable avx2, avx, and sse4.1 specific builds as well
  * Demote GNU parallel to a recommends; only used by parallel-fasta

  [ Steffen Moeller ]
  * New upstream version.
  * debhelper-compat 13 (routine-update)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 17 May 2020 12:32:51 +0200

last-align (1061-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 10 May 2020 13:57:46 +0200

last-align (1060-5) unstable; urgency=medium

  * Team upload.
  * Fix i386 build.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 06 May 2020 21:01:18 +0200

last-align (1060-4) unstable; urgency=medium

  * Team upload.
  * Enable cross-building
  * Fix FTBFS on ppc64el, courtesy of frediz. (Closes: #959866)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 06 May 2020 14:28:21 +0200

last-align (1060-3) unstable; urgency=medium

  * Team upload.
  * Use a newer libsimde-dev to fix a bug

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 19 Apr 2020 23:38:45 +0200

last-align (1060-2) unstable; urgency=medium

  * Team upload.
  * Switch to the libsimde-dev package from an internal copy
  * Added address of upstream's mailing list as Bug-Submit

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 19 Apr 2020 14:21:01 +0200

last-align (1060-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Cleaner clean

 -- Steffen Moeller <moeller@debian.org>  Tue, 24 Mar 2020 21:22:27 +0100

last-align (1047-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 24 Jan 2020 16:21:19 +0100

last-align (1045-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Updated simde patches

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 31 Dec 2019 08:42:29 +0100

last-align (1044-2) unstable; urgency=medium

  * Team upload.
  * Enable building on any architecture via simde. (Closes: #946850)
  * For any-amd64 and any-i386: compile multiple times with reducing levels of
    SIMD instruction support and ship a dispatching script to pick the best
    one for the user at run-time.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 22 Dec 2019 20:19:58 -0700

last-align (1044-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

  * TODO: hope for new upstream version that does not require
          SSE or AVX to compile.

 -- Steffen Moeller <moeller@debian.org>  Sat, 21 Dec 2019 00:28:04 +0100

last-align (1021-2) unstable; urgency=medium

  * Test-Depends: python3-pil
    Closes: #946209

 -- Andreas Tille <tille@debian.org>  Thu, 05 Dec 2019 15:01:59 +0100

last-align (1021-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fiddling with CFLAGS/CXXFLAGS defaults in Makefile
  * fixed and minimized 2to3-patches - path for last-train
    so there is no FTBFS when generating man pages

  * TODO: Need to work on platform dependencies

 -- Steffen Moeller <moeller@debian.org>  Wed, 04 Dec 2019 13:35:17 +0100

last-align (984-2) unstable; urgency=medium

  * Use 2to3 to port to Python3
    Closes: #943148, #943446
  * Standards-Version: 4.4.1
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g

 -- Andreas Tille <tille@debian.org>  Fri, 22 Nov 2019 11:46:43 +0100

last-align (984-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Set fields Upstream-Contact in debian/copyright.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Steffen Moeller <moeller@debian.org>  Wed, 04 Sep 2019 14:05:53 +0200

last-align (983-1) unstable; urgency=medium

  * Team upload.

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Updated with no manual changes required by Andreas'
    routine-update script.

 -- Steffen Moeller <moeller@debian.org>  Sat, 27 Jul 2019 12:33:38 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog last-align`.
